# set env variables
set DEMO_HOME=c:\dev\esb-demo
set MULE_HOME=c:\tools\mule-standalone-2.2.1
set MULE_LIB=%MULE_HOME%\lib

# set CLASSPATH
set CLASSPATH=%DEMO_HOME%\build\classes;%DEMO_HOME%\conf
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\boot\jcl104-over-slf4j-1.5.0.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\boot\slf4j-api-1.5.0.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\boot\slf4j-log4j12-1.5.0.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\boot\log4j-1.2.14.jar

set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\backport-util-concurrent-3.1-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\geronimo-j2ee-connector_1.5_spec-1.1-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\jug-2.0.0-osgi-asl.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\commons-lang-2.4-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\commons-collections-3.2-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\dom4j-1.6.1-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\jaxen-1.1.1-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\commons-io-1.3.1-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\commons-pool-1.4.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\commons-beanutils-1.7.0-osgi.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\opt\stax-utils-20080702-osgi.jar

set CLASSPATH=%CLASSPATH%;%MULE_LIB%\mule\mule-core-2.2.1.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\mule\mule-module-client-2.2.1.jar
set CLASSPATH=%CLASSPATH%;%MULE_LIB%\mule\mule-transport-tcp-2.2.1.jar

# run mule
echo "JAVA_HOME=%JAVA_HOME%"
echo "MULE_HOME=%MULE_HOME%"
echo "MULE_LIB=%MULE_LIB%"

java demo.LogMessageProducer
